Package org.eclipse.mat.internal

# Class MATPlugin

java.lang.Object
org.eclipse.core.runtime.Plugin
org.eclipse.mat.internal.MATPlugin

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

public class MATPlugin extends Plugin

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PLUGIN_ID`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`MATPlugin()`

## Method Summary

Modifier and Type
Method
Description
`static MATPlugin`
`getDefault()`
`IExtensionTracker`
`getExtensionTracker()`
`static void`
`log(int severity, String message)`
`static void`
`log(String message)`
`static void`
`log(Throwable e)`
`static void`
`log(Throwable e, String message)`
`static void`
`log(IStatus status)`
`void`
`start(org.osgi.framework.BundleContext context)`
`void`
`stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PLUGIN_ID

public static final String PLUGIN_ID

See Also:
  - Constant Field Values

## Constructor Details

### MATPlugin

public MATPlugin()

## Method Details

### start

public void start(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `Plugin`
Throws:
  `Exception`

### stop

public void stop(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `Plugin`
Throws:
  `Exception`

### getDefault

public static MATPlugin getDefault()

### getExtensionTracker

public IExtensionTracker getExtensionTracker()

### log

public static void log(IStatus status)

### log

public static void log(Throwable e)

### log

public static void log(Throwable e, String message)

### log

public static void log(String message)

### log

public static void log(int severity, String message)